Skip to main content
GET
/
api
/
invoices
/
{invoiceId}
Get invoice details by id
curl --request GET \
  --url https://api.example.com/api/invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "25ea86c7-e710-45d4-a580-7c13711a74bb",
  "number": "INV-000000049",
  "accountId": "9e266c75-aef0-4c67-8a0b-71c917b21a53",
  "subTotal": 100.03,
  "discountAmount": -10.01,
  "amountAfterDiscount": 90.02,
  "taxAmount": 1.2,
  "totalAmount": 91.22,
  "currency": "USD",
  "status": "posted",
  "date": "2026-01-01",
  "dueDate": "2026-01-31",
  "createdOn": "2026-01-18T07:15:12Z",
  "updatedOn": "2026-01-18T15:58:31Z",
  "createdBy": "f2f873fa-e90b-4e54-b6de-cab8a73259ec",
  "updatedBy": "f2f873fa-e90b-4e54-b6de-cab8a73259ec",
  "items": [
    {
      "planItemId": "8d73911d-b066-4899-b5ba-aa703fc386ac",
      "planItemName": "Plan Item_36568989",
      "periodStartDate": "2026-01-01",
      "periodEndDate": "2026-02-01",
      "quantity": 1,
      "subTotal": 100.03,
      "amountAfterDiscount": 90.02,
      "totalAmount": 91.22,
      "taxAmount": 1.2,
      "discountAmount": -10.01,
      "skuId": "SKU-0",
      "createdOn": "2026-01-18T07:15:12Z",
      "updatedOn": "2026-01-18T15:58:31Z",
      "createdBy": "f2f873fa-e90b-4e54-b6de-cab8a73259ec",
      "updatedBy": "f2f873fa-e90b-4e54-b6de-cab8a73259ec"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Path Parameters

invoiceId
string
required

invoice to be searched

Response

OK

accountId
string
id
string
number
string
date
string<date>
dueDate
string<date>
totalAmount
number
subTotal
number
taxAmount
number
discountAmount
number
amountAfterDiscount
number
currency
string
createdOn
string<date-time>
updatedOn
string<date-time>
createdBy
string
updatedBy
string
status
enum<string>
Available options:
draft,
posted,
partially-paid,
paid,
reversed
invoiceItems
object[]